Bug 1264834 - [abrt] dnf: miscutils.py:62:checkSig:OSError: [Errno 2] No such file or directory: '/var/cache/dnf/x86_64/21/updates/packages/wine-times-new-roman-fonts-1.7.51-1.fc21.noarch.rpm'
[abrt] dnf: miscutils.py:62:checkSig:OSError: [Errno 2] No such file or direc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ecac4414cb037be8c16beadbcb5...
: Triaged
: 1266329 1266701 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 06:53 EDT by Laurent Rineau
Modified: 2017-08-08 08:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.58 KB, text/plain)
2015-09-21 06:53 EDT, Laurent Rineau
no flags Details
File: environ (2.07 KB, text/plain)
2015-09-21 06:53 EDT, Laurent Rineau
no flags Details

  None (edit)
Description Laurent Rineau 2015-09-21 06:53:05 EDT
Version-Release number of selected component:
dnf-0.6.4-5.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf update
executable:     /bin/dnf
kernel:         4.1.6-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
miscutils.py:62:checkSig:OSError: [Errno 2] No such file or directory: '/var/cache/dnf/x86_64/21/updates/packages/wine-times-new-roman-fonts-1.7.51-1.fc21.noarch.rpm'

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 141, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 160, in resolving
    base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 216, in do_transaction
    self.gpgsigcheck(downloadpkgs)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 234, in gpgsigcheck
    result, errmsg = self.sigCheckPkg(po)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 915, in sigCheckPkg
    sigresult = dnf.rpm.miscutils.checkSig(ts, po.localPkg())
  File "/usr/lib/python2.7/site-packages/dnf/rpm/miscutils.py", line 62, in checkSig
    fdno = os.open(package, os.O_RDONLY)
OSError: [Errno 2] No such file or directory: '/var/cache/dnf/x86_64/21/updates/packages/wine-times-new-roman-fonts-1.7.51-1.fc21.noarch.rpm'

Local variables in innermost frame:
currentflags: 986880
ts: <dnf.rpm.transaction.TransactionWrapper object at 0x7f9f29fa3ed0>
value: 0
package: u'/var/cache/dnf/x86_64/21/updates/packages/wine-times-new-roman-fonts-1.7.51-1.fc21.noarch.rpm'
Comment 1 Laurent Rineau 2015-09-21 06:53:10 EDT
Created attachment 1075456 [details]
File: backtrace
Comment 2 Laurent Rineau 2015-09-21 06:53:11 EDT
Created attachment 1075457 [details]
File: environ
Comment 3 Laurent Rineau 2015-09-21 06:56:46 EDT
The reason of the crash might be that I ran two `dnf` at the same time:
  - the first one only downloaded/updated wine\* package,
  - the second one was to update all the packages.

As far as I can understand the bug, when the second dnf was launched, the wine packages were already downloaded, and the second one skipped the download of those, but the first dnf finish the update of the wine packages, and cleaned the downloaded RPM, while the second one was downloading non-wine packages.

I understand that it is not a usual `dnf` usage, but it seems to be permitted, and `dnf` should not crash with an uncaught exception, and trigger the launch of abrt. It should report a warning or an error instead.
Comment 4 Michal Luscon 2015-09-30 04:38:29 EDT
*** Bug 1266329 has been marked as a duplicate of this bug. ***
Comment 5 Michal Luscon 2015-09-30 04:38:54 EDT
*** Bug 1266701 has been marked as a duplicate of this bug. ***
Comment 6 Michael Schwendt 2015-10-21 18:29:19 EDT
As reported at fedoraforum.de, this also affects F22 with gwyddion. Steps:

1. rpm -i http://gwyddion.net/download/fedora/22/x86_64/os/gwyddion-release-22-1.fc22.noarch.rpm
2. dnf install gwyddion
3.
Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 144, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 173, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 220, in do_transaction
    self.gpgsigcheck(downloadpkgs)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 243, in gpgsigcheck
    result, errmsg = self.sigCheckPkg(po)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 948, in sigCheckPkg
    sigresult = dnf.rpm.miscutils.checkSig(ts, po.localPkg())
  File "/usr/lib/python2.7/site-packages/dnf/rpm/miscutils.py", line 62, in checkSig
    fdno = os.open(package, os.O_RDONLY)
OSError: [Errno 2] No such file or directory: 'http://gwyddion.net/download/fedora/22/x86_64/os/gwyddion-2.42-1.x86_64.rpm'
Comment 7 Jan Kurik 2016-02-24 08:46:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 8 Fedora Admin XMLRPC Client 2016-07-08 05:30:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2017-07-25 15:18:15 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-08-08 08:15:31 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.